# Interface IQueryResult

## Index

### Properties

- absentTerms
- childResults
- clickUri
- excerpt
- flags
- hasHtmlVersion
- index
- isRecommendation
- isTopResult
- isUserActionView
- parentResult
- printableUri
- queryUid
- rankingInfo
- rating
- raw
- searchInterface
- state
- title
- uniqueId
- uri

## Properties

### absentTerms

absentTerms: string[]

- Defined in rest/QueryResult.ts :167

### childResults

childResults: IQueryResult[]

- Defined in rest/QueryResult.ts :98

### clickUri

clickUri: string

- Defined in rest/QueryResult.ts :30

### excerpt

excerpt: string

- Defined in rest/QueryResult.ts :44

### flags

flags: string

- Defined in rest/QueryResult.ts :60

### hasHtmlVersion

hasHtmlVersion: boolean

- Defined in rest/QueryResult.ts :54

### Optional index

index: number

- Defined in rest/QueryResult.ts :126

### isRecommendation

isRecommendation: boolean

- Defined in rest/QueryResult.ts :107

### isTopResult

isTopResult: boolean

- Defined in rest/QueryResult.ts :117

### Optional isUserActionView

isUserActionView: boolean

- Defined in rest/QueryResult.ts :112

### Optional parentResult

parentResult: IQueryResult

- Defined in rest/QueryResult.ts :91

### printableUri

printableUri: string

- Defined in rest/QueryResult.ts :22

### Optional queryUid

queryUid: string

- Defined in rest/QueryResult.ts :135

### rankingInfo

rankingInfo: string

- Defined in rest/QueryResult.ts :68

### Optional rating

rating: number

- Defined in rest/QueryResult.ts :79

### raw

raw: any

- Defined in rest/QueryResult.ts :84

### searchInterface

searchInterface: SearchInterface

- Defined in rest/QueryResult.ts :159

### state

state: object

- Defined in rest/QueryResult.ts :150

#### Type declaration

- ##### [attribute: string]: any

### title

title: string

- Defined in rest/QueryResult.ts :11

### uniqueId

uniqueId: string

- Defined in rest/QueryResult.ts :37

### uri

uri: string

- Defined in rest/QueryResult.ts :17

### Hierarchy

- IQueryResult